Bug 207277 - g++: internal compiler error: Segmentation fault
g++: internal compiler error: Segmentation fault
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 08:00 EDT by Thimo Neubauer
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0220
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The reduced testcase (3.44 KB, text/x-c++src)
2006-09-20 08:00 EDT, Thimo Neubauer
no flags Details
Patch that fixes the bug (2.67 KB, patch)
2006-10-26 01:27 EDT, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Thimo Neubauer 2006-09-20 08:00:12 EDT
Description of problem: internal compiler error (segmentation fault)


Version-Release number of selected component (if applicable):

[thimo@waltari ~]$ g++ --version
g++ (GCC) 3.4.6 20060404 (Red Hat 3.4.6-3)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[thimo@waltari ~]$ cat /etc/redhat-release 
Red Hat Enterprise Linux WS release 4 (Nahant Update 4)
[thimo@waltari ~]$ uname -a
Linux waltari.cst.de 2.6.9-42.0.2.ELsmp #1 SMP Thu Aug 17 17:57:31 EDT 2006
x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

[thimo@waltari ~]$ g++ -c -O2 -fnon-call-exceptions testcase.cc
testcase.cc: In member function `virtual void
Node2D::SmoothPointClassification(const bool&)':
testcase.cc:92: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccKa44NX.out file, please attach this to
your bugreport.


Additional Info:

I've reduced the problem according to
http://gcc.gnu.org/wiki/A_guide_to_testcase_reduction. If one of the options
(-O2 -fnon-call-exceptions) is removed g++ does not fail anymore.
Comment 1 Thimo Neubauer 2006-09-20 08:00:12 EDT
Created attachment 136731 [details]
The reduced testcase
Comment 2 Alexandre Oliva 2006-10-26 01:27:14 EDT
Created attachment 139435 [details]
Patch that fixes the bug

Trivial backport of the patch that fixed the bug upstream.
Comment 8 Red Hat Bugzilla 2007-05-01 13:08:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0220.html

Note You need to log in before you can comment on or make changes to this bug.